curl --request POST \
--url https://api.syrto.ai/companies/bundle \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
"02579690039",
"03841740016"
],
"year": 2057
}
'import requests
url = "https://api.syrto.ai/companies/bundle"
payload = {
"ids": ["02579690039", "03841740016"],
"year": 2057
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ids: ['02579690039', '03841740016'], year: 2057})
};
fetch('https://api.syrto.ai/companies/bundle', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.syrto.ai/companies/bundle",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ids' => [
'02579690039',
'03841740016'
],
'year' => 2057
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.syrto.ai/companies/bundle"
payload := strings.NewReader("{\n \"ids\": [\n \"02579690039\",\n \"03841740016\"\n ],\n \"year\": 2057\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.syrto.ai/companies/bundle")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ids\": [\n \"02579690039\",\n \"03841740016\"\n ],\n \"year\": 2057\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.syrto.ai/companies/bundle")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ids\": [\n \"02579690039\",\n \"03841740016\"\n ],\n \"year\": 2057\n}"
response = http.request(request)
puts response.read_body{
"data": {
"items": [
{
"overview": {
"companyId": "<string>",
"legalName": "<string>",
"taxId": "<string>",
"consolidated": true,
"year": 123,
"financialStatementDate": "2023-12-25",
"activityOverview": "<string>",
"naceClass": "<string>",
"nuts3": "<string>",
"revenuesFromSalesAndServices": 123,
"ebitdaMargin": 123,
"ebitMargin": 123,
"employeeCount": 123,
"revenueCagr3Years": 123
},
"anagraphic": {
"companyId": "<string>",
"legalName": "<string>",
"taxId": "<string>",
"consolidated": true,
"year": 123,
"financialStatementDate": "2023-12-25",
"vatNumber": "<string>",
"legalEntityType": "<string>",
"naceSection": "<string>",
"naceDivision": "<string>",
"naceGroup": "<string>",
"naceClass": "<string>",
"naceSubclass": "<string>",
"activityOverview": "<string>",
"targetMarkets": [
"B2B"
],
"targetMarketsDescription": "<string>",
"city": "<string>",
"nuts1": "<string>",
"nuts2": "<string>",
"nuts3": "<string>",
"lau": "<string>",
"countryCode": "<string>",
"sizeClassification": "XS",
"employeeCount": 123,
"headcountEmployees": {
"value": 123,
"updatedAt": "2023-12-25"
},
"headcountContractors": {
"value": 123,
"updatedAt": "2023-12-25"
},
"foundingYear": 123,
"incorporationDate": "2023-12-25",
"activityStartDate": "2023-12-25",
"websiteUrl": "<string>",
"contactEmails": [
{
"value": "<string>",
"tags": [
"<string>"
]
}
],
"contactPhones": [
{
"value": "<string>",
"tags": [
"<string>"
]
}
],
"socialMediaProfiles": [
{
"platform": "<string>",
"url": "<string>"
}
],
"pec": "<string>",
"rea": "<string>",
"cciaa": "<string>"
},
"negativities": {
"companyId": "<string>",
"legalName": "<string>",
"taxId": "<string>",
"consolidated": true,
"protestsOfBill": true,
"insolvencyProceedings": true,
"insolvencyApplications": true,
"assetEncumbrances": true,
"officersWithRiskIndicators": true
},
"rna": {
"companyId": "<string>",
"legalName": "<string>",
"taxId": "<string>",
"consolidated": true,
"count": 123,
"amount": 123,
"countLast36Months": 123,
"amountLast36Months": 123,
"isAboveSectorMedianLast36Months": true,
"sectorMedianAmount": 123,
"sectorMedianAmountLast36Months": 123,
"deMinimis": {
"amount": 123,
"amountLast36Months": 123,
"countLast36Months": 123,
"ceiling": 123,
"remaining": 123,
"isAboveSectorMedian": true,
"sectorMedianAmountLast36Months": 123
}
},
"branches": {
"companyId": "<string>",
"headquarters": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"nuts1": "<string>",
"nuts2": "<string>",
"nuts3": "<string>",
"lau": "<string>"
},
"branches": [
{
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"nuts1": "<string>",
"nuts2": "<string>",
"nuts3": "<string>",
"lau": "<string>"
}
],
"branchesTotal": 1,
"truncated": true
}
}
],
"notFound": [
{
"position": 1,
"input": "<string>",
"reason": "not_found"
}
]
},
"meta": {
"requestId": "<string>",
"endpoint": "<string>",
"usage": {
"quantity": 123,
"unit": "<string>"
},
"warnings": [
{
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}Company bundle
Pure composition of the five endpoints (45 credits separately). Price: 25 credits per record returned; notFound entries are free. Read-only and idempotent: POST is used only because the request carries a body. The HTTP QUERY method is the preferred verb for this operation and will be accepted on the same path once client support is widespread.
curl --request POST \
--url https://api.syrto.ai/companies/bundle \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ids": [
"02579690039",
"03841740016"
],
"year": 2057
}
'import requests
url = "https://api.syrto.ai/companies/bundle"
payload = {
"ids": ["02579690039", "03841740016"],
"year": 2057
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ids: ['02579690039', '03841740016'], year: 2057})
};
fetch('https://api.syrto.ai/companies/bundle', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.syrto.ai/companies/bundle",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ids' => [
'02579690039',
'03841740016'
],
'year' => 2057
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.syrto.ai/companies/bundle"
payload := strings.NewReader("{\n \"ids\": [\n \"02579690039\",\n \"03841740016\"\n ],\n \"year\": 2057\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.syrto.ai/companies/bundle")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ids\": [\n \"02579690039\",\n \"03841740016\"\n ],\n \"year\": 2057\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.syrto.ai/companies/bundle")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ids\": [\n \"02579690039\",\n \"03841740016\"\n ],\n \"year\": 2057\n}"
response = http.request(request)
puts response.read_body{
"data": {
"items": [
{
"overview": {
"companyId": "<string>",
"legalName": "<string>",
"taxId": "<string>",
"consolidated": true,
"year": 123,
"financialStatementDate": "2023-12-25",
"activityOverview": "<string>",
"naceClass": "<string>",
"nuts3": "<string>",
"revenuesFromSalesAndServices": 123,
"ebitdaMargin": 123,
"ebitMargin": 123,
"employeeCount": 123,
"revenueCagr3Years": 123
},
"anagraphic": {
"companyId": "<string>",
"legalName": "<string>",
"taxId": "<string>",
"consolidated": true,
"year": 123,
"financialStatementDate": "2023-12-25",
"vatNumber": "<string>",
"legalEntityType": "<string>",
"naceSection": "<string>",
"naceDivision": "<string>",
"naceGroup": "<string>",
"naceClass": "<string>",
"naceSubclass": "<string>",
"activityOverview": "<string>",
"targetMarkets": [
"B2B"
],
"targetMarketsDescription": "<string>",
"city": "<string>",
"nuts1": "<string>",
"nuts2": "<string>",
"nuts3": "<string>",
"lau": "<string>",
"countryCode": "<string>",
"sizeClassification": "XS",
"employeeCount": 123,
"headcountEmployees": {
"value": 123,
"updatedAt": "2023-12-25"
},
"headcountContractors": {
"value": 123,
"updatedAt": "2023-12-25"
},
"foundingYear": 123,
"incorporationDate": "2023-12-25",
"activityStartDate": "2023-12-25",
"websiteUrl": "<string>",
"contactEmails": [
{
"value": "<string>",
"tags": [
"<string>"
]
}
],
"contactPhones": [
{
"value": "<string>",
"tags": [
"<string>"
]
}
],
"socialMediaProfiles": [
{
"platform": "<string>",
"url": "<string>"
}
],
"pec": "<string>",
"rea": "<string>",
"cciaa": "<string>"
},
"negativities": {
"companyId": "<string>",
"legalName": "<string>",
"taxId": "<string>",
"consolidated": true,
"protestsOfBill": true,
"insolvencyProceedings": true,
"insolvencyApplications": true,
"assetEncumbrances": true,
"officersWithRiskIndicators": true
},
"rna": {
"companyId": "<string>",
"legalName": "<string>",
"taxId": "<string>",
"consolidated": true,
"count": 123,
"amount": 123,
"countLast36Months": 123,
"amountLast36Months": 123,
"isAboveSectorMedianLast36Months": true,
"sectorMedianAmount": 123,
"sectorMedianAmountLast36Months": 123,
"deMinimis": {
"amount": 123,
"amountLast36Months": 123,
"countLast36Months": 123,
"ceiling": 123,
"remaining": 123,
"isAboveSectorMedian": true,
"sectorMedianAmountLast36Months": 123
}
},
"branches": {
"companyId": "<string>",
"headquarters": {
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"nuts1": "<string>",
"nuts2": "<string>",
"nuts3": "<string>",
"lau": "<string>"
},
"branches": [
{
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"nuts1": "<string>",
"nuts2": "<string>",
"nuts3": "<string>",
"lau": "<string>"
}
],
"branchesTotal": 1,
"truncated": true
}
}
],
"notFound": [
{
"position": 1,
"input": "<string>",
"reason": "not_found"
}
]
},
"meta": {
"requestId": "<string>",
"endpoint": "<string>",
"usage": {
"quantity": 123,
"unit": "<string>"
},
"warnings": [
{
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "missing_api_key",
"message": "<string>",
"requestId": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}Authorizations
Org-scoped WorkOS API key (sk_...), sent as Authorization: Bearer <key>. Admins create and revoke keys in the Syrto dashboard: https://dashboard.syrto.ai/api-keys
Body
1-20 references, each a companyId (Syrto id of one statement record, starts with Zm86) or a tax id (11-digit partita IVA or 16-character codice fiscale). A tax id resolves to the record selected by statementBasis. Duplicates are rejected.
1 - 20 elements1 - 100["02579690039", "03841740016"]
Which statement a tax id resolves to: individual (default) is the one the company filed for itself, consolidated the group's. The two can differ by orders of magnitude. Ignored for a companyId, which already names one record.
individual, consolidated Financial year (2015-2100). Omitted: the latest filed statement. Forecast years are never returned.
2015 <= x <= 2100Language of metric names, labels and descriptions (never of field names or slugs). Omitted: the account's default.
it, en Was this page helpful?